Bug 1309933 - [abrt] glx-utils: pthread_barrier_destroy(): glxinfo killed by SIGFPE
[abrt] glx-utils: pthread_barrier_destroy(): glxinfo killed by SIGFPE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mesa-demos (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d3883cd6626728a4260a4bdd5f8...
:
Depends On:
Blocks: F24FinalBlocker
  Show dependency treegraph
 
Reported: 2016-02-18 21:33 EST by Adam Williamson
Modified: 2016-03-23 11:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 11:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.71 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: core_backtrace (3.75 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: dso_list (3.62 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: environ (499 bytes, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: maps (16.99 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: mountinfo (3.16 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: open_fds (185 bytes, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details
File: var_log_messages (304 bytes, text/plain)
2016-02-18 21:33 EST, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2016-02-18 21:33:15 EST
Description of problem:
Happens shortly after login to Rawhide system upgraded from F23.

Version-Release number of selected component:
glx-utils-8.3.0-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        glxinfo
crash_function: pthread_barrier_destroy
executable:     /usr/bin/glxinfo
global_pid:     1662
kernel:         4.5.0-0.rc4.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pthread_barrier_destroy at pthread_barrier_destroy.c:40
 #1 pipe_barrier_destroy at ../../../../src/gallium/auxiliary/os/os_thread.h:155
 #2 lp_rast_destroy at lp_rast.c:970
 #3 llvmpipe_destroy_screen at lp_screen.c:528
 #4 dri_destroy_screen_helper at dri_screen.c:380
 #5 dri_destroy_screen at dri_screen.c:391
 #6 driDestroyScreen at dri_util.c:228
 #7 driswDestroyScreen at drisw_glx.c:587
 #8 FreeScreenConfigs at glxext.c:217
 #9 glx_display_free at glxext.c:240
Comment 1 Adam Williamson 2016-02-18 21:33:20 EST
Created attachment 1128376 [details]
File: backtrace
Comment 2 Adam Williamson 2016-02-18 21:33:21 EST
Created attachment 1128377 [details]
File: cgroup
Comment 3 Adam Williamson 2016-02-18 21:33:22 EST
Created attachment 1128378 [details]
File: core_backtrace
Comment 4 Adam Williamson 2016-02-18 21:33:23 EST
Created attachment 1128379 [details]
File: dso_list
Comment 5 Adam Williamson 2016-02-18 21:33:24 EST
Created attachment 1128380 [details]
File: environ
Comment 6 Adam Williamson 2016-02-18 21:33:25 EST
Created attachment 1128381 [details]
File: limits
Comment 7 Adam Williamson 2016-02-18 21:33:26 EST
Created attachment 1128382 [details]
File: maps
Comment 8 Adam Williamson 2016-02-18 21:33:27 EST
Created attachment 1128383 [details]
File: mountinfo
Comment 9 Adam Williamson 2016-02-18 21:33:28 EST
Created attachment 1128384 [details]
File: namespaces
Comment 10 Adam Williamson 2016-02-18 21:33:29 EST
Created attachment 1128385 [details]
File: open_fds
Comment 11 Adam Williamson 2016-02-18 21:33:30 EST
Created attachment 1128386 [details]
File: proc_pid_status
Comment 12 Adam Williamson 2016-02-18 21:33:31 EST
Created attachment 1128387 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 10:26:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Adam Williamson 2016-03-18 16:48:37 EDT
Similar problem has been detected:

Booted the F24 Alpha 1.5 KDE x86_64 live image in a vmvga / VNC VM, then went into System Settings and changed a video setting and quit again. I'm not sure where along the line this crash happened, it had no obviously visible effects, it may have happened during startup.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        glxinfo
crash_function: pthread_barrier_destroy
executable:     /usr/bin/glxinfo
global_pid:     1446
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        glx-utils-8.3.0-3.fc24
reason:         glxinfo killed by SIGFPE
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 15 Adam Williamson 2016-03-18 17:35:23 EDT
Similar problem has been detected:

Booted Fedora 24 Alpha 1.5 Workstation x86_64 live. Crash notification appeared immediately after GNOME loaded, must have happened during boot.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        glxinfo
crash_function: pthread_barrier_destroy
executable:     /usr/bin/glxinfo
global_pid:     1448
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        glx-utils-8.3.0-3.fc24
reason:         glxinfo killed by SIGFPE
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 16 Adam Williamson 2016-03-18 17:36:24 EDT
Nominating as a Final blocker, per criterion "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop." - this seems to happen reliably when booting Workstation and KDE lives in a typical VM configuration (qxl/SPICE).
Comment 17 Rex Dieter 2016-03-21 08:41:38 EDT
may be a dup of bug #1318541  (the crash ends in the same place at least)
Comment 18 Fedora Update System 2016-03-21 15:11:38 EDT
mesa-11.2.0-0.devel.12.24ea81a.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e27c369d3
Comment 19 Fedora Update System 2016-03-21 18:30:09 EDT
mesa-11.2.0-0.devel.12.24ea81a.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e27c369d3
Comment 20 Adam Williamson 2016-03-23 02:46:41 EDT
I don't see this with the updated mesa, thanks.
Comment 21 Fedora Update System 2016-03-23 11:17:27 EDT
mesa-11.2.0-0.devel.12.24ea81a.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.